OGRE: Ogre::TextAreaOverlayElementFactory Class Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::TextAreaOverlayElementFactory Class Reference

Factory for creating TextAreaOverlayElement instances. More...

`#include <OgreOverlayElementFactory.h>`

Inheritance diagram for Ogre::TextAreaOverlayElementFactory:

[legend]
List of all members.

## Public Member Functions

OverlayElement * | createOverlayElement (const String &instanceName)
| See OverlayElementFactory.
const String & | getTypeName (void) const
| See OverlayElementFactory.
virtual void | destroyOverlayElement (OverlayElement *pElement)
| Destroys a OverlayElement which this factory created previously.

## Detailed Description

Factory for creating TextAreaOverlayElement instances.

Definition at line 101 of file OgreOverlayElementFactory.h.

## Member Function Documentation

OverlayElement* Ogre::TextAreaOverlayElementFactory::createOverlayElement | ( | const String & | instanceName | ) | `[virtual]`

| See OverlayElementFactory. Implements Ogre::OverlayElementFactory. Definition at line 105 of file OgreOverlayElementFactory.h.

virtual void Ogre::OverlayElementFactory::destroyOverlayElement | ( | OverlayElement * | pElement | ) | `[virtual, inherited]`

| Destroys a OverlayElement which this factory created previously. Definition at line 60 of file OgreOverlayElementFactory.h.

const String& Ogre::TextAreaOverlayElementFactory::getTypeName | ( | void |  | ) | const`[virtual]`

| See OverlayElementFactory. Implements Ogre::OverlayElementFactory. Definition at line 110 of file OgreOverlayElementFactory.h.

The documentation for this class was generated from the following file:

- OgreOverlayElementFactory.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:47:30 2008